Bug#603013: alacarte: spurious dependency on gnome-menus

Josselin Mouette joss at debian.org
Wed Nov 10 11:04:23 UTC 2010

Le mercredi 10 novembre 2010 à 11:24 +0100, Yves-Alexis Perez a écrit :
> I just noticed alacarte was depending on gnome-menus. I'm not too sure
> if there's a good reason for that, since it's supposed to work with any
> spec-compliant menu implementation (wether GNOME, KDE or, when finished,
> Xfce one).
> As we're starting to package the next Xfce version, with full spec
> support, I'd like to try alacarte, but I don't really want to install
> the gnome-menus package. It'd be nice if the dependency could be
> removed, then.

The problem is that in its current state, alacarte will only be able to
edit gnome-applications.menu and gnome-settings.menu - we patch it do
so, otherwise that would be applications.menu and settings.menu.

Upstream has introduced a XDG_MENU_PREFIX variable that partly fixes
that problem if the session manager sets it. I think it will be fixable
for wheezy, but it will require a few more changes to work without

: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling

More information about the pkg-gnome-maintainers mailing list